[arch-commits] Commit in libxdamage/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 14 01:25:45 EDT 2009


    Date: Tuesday, April 14, 2009 @ 01:25:45
  Author: eric
Revision: 35584

upgpkg: libxdamage 1.1.1-2
    Added license

Modified:
  libxdamage/trunk/PKGBUILD

----------+
 PKGBUILD |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-14 05:24:41 UTC (rev 35583)
+++ PKGBUILD	2009-04-14 05:25:45 UTC (rev 35584)
@@ -3,20 +3,22 @@
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=libxdamage
 pkgver=1.1.1
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 damaged region extension library"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 depends=('libxfixes>=4.0.3' 'damageproto>=1.1')
 makedepends=('pkgconfig')
 options=('!libtool')
 source=(${url}/releases/individual/lib/libXdamage-${pkgver}.tar.bz2)
+md5sums=('ac0ce6b0063a9858c8f24ddb4c60487d')
 
 build() {
-  cd ${startdir}/src/libXdamage-${pkgver}
+  cd ${srcdir}/libXdamage-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc \
               --build=${CHOST} --host=${CHOST}
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }
-md5sums=('ac0ce6b0063a9858c8f24ddb4c60487d')



More information about the arch-commits mailing list